local sStats_rep, sStats_repText = sStats:CreateModule("rep")

local function Updaterep()
	local WatchedRep, CurRep, RepMin, RepMax, RepValue = GetWatchedFactionInfo()
	local Rep = RepValue - RepMin
	local RepLvlMax = RepMax - RepMin
	local RepStatus = getglobal("FACTION_STANDING_LABEL"..CurRep)
	local PerRep = (Rep/(RepLvlMax))*100

	local PerRepStr = format("%.1f%%", PerRep)
	
	-- Check to see if no faction is being watched
	if WatchedRep == nil then
		WatchedRep = "No faction chosen"
		RepStatus = "None"
		PerRepStr = "None"
		Rep = 0
		RepLvlMax = 0        
	end
	
	-- Tooltip
	sStats_rep:SetScript("OnEnter", function(this)
		GameTooltip:SetOwner(this, "ANCHOR_CURSOR")
		GameTooltip:AddLine("|cffffd200Reputation|r")
		GameTooltip:AddDoubleLine("Faction", WatchedRep, 1, 1, 1, 1, 1, 1)
		GameTooltip:AddDoubleLine("Status", RepStatus, 1, 1, 1, 1, 1, 1)
		GameTooltip:AddDoubleLine("Current", Rep, 1, 1, 1, 1, 1, 1)
		GameTooltip:AddDoubleLine("Remaining", RepLvlMax-Rep, 1, 1, 1, 1, 1, 1)
		GameTooltip:Show()
	end)
	sStats_rep:SetScript("OnLeave", function()
		if GameTooltip:IsShown() then
			GameTooltip:Hide()
		end
	end)
	
	-- Text
	sStats:SetModuleText(sStats_repText, PerRepStr, "")
end

sStats.RegisterCallback(sStats_rep, "sStats_Modules_Ready", function()

	sStats_rep:RegisterEvent("PLAYER_ENTERING_WORLD")
	sStats_rep:RegisterEvent("UPDATE_FACTION")

	sStats_rep:SetScript("OnEvent", function()			
		Updaterep()		
	end)

end)